Organization snapshots
Snapshots of the subscriptions of organizations, for reporting
The organization snapshot object
Attributes
iduuidUnique identifier
organization_iduuidIdentifier of the related organization
created_atread-onlytimestamp with time zoneCreation timestamp
activebooleanWhether the organization was active
number_of_paid_multi_unit_sitesint32Number of paid catalog sites
number_of_paid_single_unit_sitesint32Number of paid single-unit sites
number_of_productsint32Number of units
periodSubscriptionPeriodBilling period of the subscription
pricing_versionOrganizationPricingVersionVersion of Bookingmood's pricing that applied to the organization
subscription_typeSubscriptionTypeHow the subscription was paid
tierTierSubscription tier of the organization
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-22T22:01:03.447Z",
"active": false,
"number_of_paid_multi_unit_sites": 0,
"number_of_paid_single_unit_sites": 0,
"number_of_products": 0,
"period": "monthly",
"pricing_version": "V1",
"subscription_type": "duda",
"tier": "free"
}List organization snapshots
Requiresorganization:read
Filters
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the related organization
created_atFilter<timestamp with time zone>Creation timestamp
activeFilter<boolean>Whether the organization was active
number_of_paid_multi_unit_sitesFilter<int32>Number of paid catalog sites
number_of_paid_single_unit_sitesFilter<int32>Number of paid single-unit sites
number_of_productsFilter<int32>Number of units
periodFilter<SubscriptionPeriod>Billing period of the subscription
pricing_versionFilter<OrganizationPricingVersion>Version of Bookingmood's pricing that applied to the organization
subscription_typeFilter<SubscriptionType>How the subscription was paid
tierFilter<Tier>Subscription tier of the organization
Responses
200A list of organization snapshots with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key or access token doesn't have the scope this request needs.
429The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.
code, message, details and hint. See the introduction for more on errors.curl "https://api.bookingmood.com/v1/organization_snapshots?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-22T22:01:03.447Z",
"active": false,
"number_of_paid_multi_unit_sites": 0,
"number_of_paid_single_unit_sites": 0,
"number_of_products": 0,
"period": "monthly",
"pricing_version": "V1",
"subscription_type": "duda",
"tier": "free"
}
]